Woo Appointment conflit avec polylang backoffice

  • WordPress :5.2
  • Statut : non résolu
8 sujets de 1 à 8 (sur un total de 8)
  • Auteur
    Messages
  • #2298341
    Raithuge
    Participant
    Initié WordPress
    8 contributions

    Bonjour,

    Ma configuration WP actuelle :
    – Version de WordPress : 5.3.2
    – Version de PHP/MySQL : 7.2.19 / 5.6.46
    – Thème utilisé : OceanWP
    – Thème URI : https://oceanwp.org/
    – Extensions en place : Abandoned Cart Reports For WooCommerce (2.6.0), Add to home screen WP (1.6), Auto Image Attributes From Filename With Bulk Updater (1.6), Custom Fonts (1.2.1), Duplicate Post (3.2.4), Duplicator Pro (3.8.7.1), Elementor (2.8.5), Elementor Pro (2.8.3), Forum_wordpress_fr (4.2), Google Fonts Typography (1.9.97), Health Check & Troubleshooting (1.4.2), Imagify (1.9.9), Jetpack by WordPress.com (8.2), MC4WP: Mailchimp for WordPress (4.7.5), Ninja Forms (3.4.23), Ninja Forms – Layout & Styles (3.0.28), Ocean Cookie Notice (1.0.4), Ocean Elementor Widgets (1.2.1), Ocean Extra (1.5.20), Ocean Footer Callout (1.0.13), Ocean Full Screen (1.0.5), Ocean Hooks (1.1.2), Ocean Popup Login (1.0.5), Ocean Portfolio (1.1.7), Ocean Pro Demos (1.0.10), Ocean Product Sharing (1.0.8), Ocean Side Panel (1.0.11), Ocean Social Sharing (1.0.15), Ocean Sticky Footer (1.0.9), Ocean Sticky Header (1.1.11), Ocean White Label (1.0.5), Ocean Woo Popup (1.0.6), PayGreen WooCommerce (2.2.7), Poll, Survey, Form & Quiz Maker by OpinionStage (19.6.35), Polylang (2.6.9), Polylang Connect for Elementor (1.0.0), Rank Math SEO (1.0.38), Really Simple SSL (3.2.9), Site Kit by Google (1.3.0), Smash Balloon Custom Facebook Feed (2.12.3), Smash Balloon Instagram Feed (2.2), WooCommerce (3.9.2), WooCommerce Admin (0.25.1), WooCommerce Appointments (4.8.18), WooCommerce Google Analytics Integration (1.4.17), WooCommerce Polylang Integration (1.0.3), WooCommerce SSL Seal (1.6), WP Rocket (3.4.4), YITH WooCommerce Recover Abandoned Cart (1.4.0)
    – Adresse du site : https://charlottewilkins.fr
    – Nom de l’hébergeur : Apache

     

    Lorsque j’active le plugin polylang et que je désire ajouter manuellement un rendez-vous dans le plugin woo appointment, je ne peux accéder au calendrier de choix dû à une erreur JS (le calendrier est affiché et il semble chercher les disponibilités mais ne s’affiche jamais (cf capture d’ecran).

    J’ai donc désactivé tous les plugin pour arriver à trouver que c’est polylang qui créé le soucis et lorsque j’inspecte l’erreur, j’ai une erreur assez longue, je vous mets l’en-tête pour commencer. Si vous avez une idée du prolème, je suis intéressé…

     

    Uncaught TypeError: Cannot use 'in' operator to search for 'length' in  <!DOCTYPE html>
    <!--[if IE 8]>
    <html xmlns="http://www.w3.org/1999/xhtml" class="ie8 "
    	lang="en-US"	>
    <![endif]-->
    <!--[if !(IE 8) ]><!-->
    <html xmlns="http://www.w3.org/1999/xhtml" class=""
    	lang="en-US"	>
    <!--<![endif]-->
    <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    	<title>Posts ‹ Charlotte Wilkins — WordPress</title>
    <script type="text/javascript">
    addLoadEvent = function(func){if(typeof jQuery!="undefined")jQuery(document).ready(func);else if(typeof wpOnload!='function'){wpOnload=func;}else{var oldonload=wpOnload;wpOnload=function(){oldonload();func();}}};
    var ajaxurl = '/wp-admin/admin-ajax.php',
    	pagenow = 'edit-post',
    	typenow = 'post',
    	adminpage = 'edit-php',
    	thousandsSeparator = ',',
    	decimalPoint = '.',
    	isRtl = 0;
    </script>
    <meta name="viewport" content="width=device-width,initial-scale=1.0">
    	<style type="text/css">
    		.fixed .column-stats {
    			width: 5em;
    		}
    Erreur JS

    Je vous remercie,

     

     

    Fichiers joints :
    Vous devez être connecté pour voir les fichiers joints.
    #2298343
    PhiLyon
    Modérateur
    Maître WordPress
    24571 contributions

    Bonjour.

    Je vois que ton WooCommerce est à jour (ça date d’hier), peut-être une incompatibilité ?

    Passe ton PHP en 7.3 cela peut influer.

    🙂

    #2298345
    Raithuge
    Participant
    Initié WordPress
    8 contributions

    Merci pour ta réponse.

    J’ai ce souci depuis le lancement du site en septembre, mais je m’y atèle qu’aujourd’hui sur ce sujet qui ne concerne que le back-office.

    Je viens de passer en PHP 7.3, toujours la même erreur.

    #2298346
    PhiLyon
    Modérateur
    Maître WordPress
    24571 contributions

    Je viens de voir qu’il existait un Polylang spécifique pour WooCommerce https://polylang.pro/downloads/polylang-for-woocommerce/

    🙂

    #2298367
    Raithuge
    Participant
    Initié WordPress
    8 contributions

    En effet, mais je n’utilise pas les produits en bilingue avec Woo donc je n’ai pas besoin de cet extension payante.

    La partie e-shop n’est là que pour la partie française.

    #2298386
    PhiLyon
    Modérateur
    Maître WordPress
    24571 contributions

    Il ne te reste plus qu’a contacter les supports de ces 2 extensions.

    🙂

    #2298389
    Raithuge
    Participant
    Initié WordPress
    8 contributions

    Woo Appointment m’a deja renvoyé chez Polylang car ça fonctionne sans polylang.

    J’attends le retour de Polyang mais si jamais qqn l’a déjà eu de notre coté, n’hésitez pas 🙂

    #2298392
    PhiLyon
    Modérateur
    Maître WordPress
    24571 contributions

    Pas de problème.

    🙂

8 sujets de 1 à 8 (sur un total de 8)
  • Vous devez être connecté pour répondre à ce sujet.